
%define         soname 7
%define         docver %{version}

Name:           libquvi
Version:        0.4.1
Release:        1.1
Summary:        Library to parse flash media stream URLs
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://quvi.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-doc-%{docver}.tar.bz2
# %%if 0%%{?suse_version} > 1210
# libquvi is not yet compatible with lua 5.2, see http://sourceforge.net/apps/trac/quvi/ticket/89
# => fixed
# BuildRequires:  lua51-devel
# %%else
BuildRequires:  lua-devel >= 5.1
# %%endif
# For pkgconfig() Provides
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcurl) >= 7.18.2
BuildRequires:  pkgconfig(libquvi-scripts) >= 0.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libquvi is a cross-platform library for parsing flash media stream
URLs with C API.

%package -n libquvi%{soname}
Summary:        Library to parse flash media stream URLs
Group:          System/Libraries
Recommends:     libquvi-scripts

%description -n libquvi%{soname}
libquvi is a cross-platform library for parsing flash media stream
URLs with C API.

%package devel
Summary:        Library to parse flash media stream URLs -- Development Files
Group:          Development/Libraries/C and C++
Requires:       libquvi%{soname} = %{version}

%description devel
libquvi is a cross-platform library for parsing flash media stream
URLs with C API.

%package doc
Summary:        Library to parse flash media stream URLs -- Documentation
Group:          Development/Libraries/C and C++
Requires:       libquvi%{soname} = %{version}

%description doc
libquvi is a cross-platform library for parsing flash media stream
URLs with C API.

%prep
%setup -q -a 1

%build
%configure \
    --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%post -n libquvi%{soname} -p /sbin/ldconfig

%postun -n libquvi%{soname} -p /sbin/ldconfig

%files -n libquvi%{soname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*
%{_mandir}/man3/libquvi.3%{?ext_man}

%files devel
%defattr(-,root,root)
%{_includedir}/quvi/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libquvi.pc

%files doc
%defattr(-,root,root)
%doc %{name}-%{docver}/*

%changelog
* Sun Jul  8 2012 dnh@opensuse.org
- update to 0.4.1
- add libquvi-doc
* Mon Jan 23 2012 vuntz@opensuse.org
- Revert my previous change: libquvi doesn't work with lua 5.2, see
  http://sourceforge.net/apps/trac/quvi/ticket/89
* Tue Jan 17 2012 vuntz@opensuse.org
- Always build against lua-devel: lua 5.2 on 12.2/Factory doesn't
  seem to be an issue.
* Tue Jan 10 2012 vuntz@opensuse.org
- New package (version 0.4.0).
- This is based on the quvi 0.2.19 package: quvi got split in three
  modules upstream for 0.4.x.
